## mankalaengine 1.1.0+p24.04+vunstable+git20260103.0354

=== debian/changelog ===
mankalaengine (1.1.0+p24.04+vunstable+git20260103.0354-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:54:06 +0000

mankalaengine (1.1.0-0neon) noble; urgency=medium

  * Initial packaginging

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 12:20:29 +1000
