=== debian/control ===
Source: mankalaengine
Section: libs
Priority: optional
Uploaders: KDE neon <neon@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               graphviz,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: http://games.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mankalaengine.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mankalaengine
Maintainer: Neon CI <neon@kde.org>

Package: libmankalaengine-dev
Section: libdevel
Architecture: any
Depends: libmankalaengine1 (= ${binary:Version}), ${misc:Depends}
Description: development files for the KDE mankalaengine library
 This package contains development files for building software that uses
 the KDE mankalaengine library.
 .
 This package is part of the KDE games module.

Package: libmankalaengine1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library for KDE based mankala games
 This package contains a shared library to be used by the KDE based mankala
 games.
 .
 This package is part of the KDE games module.
