## mankalaengine 1.1.0+p24.04+vunstable+git20260103.0740

=== debian/changelog ===
mankalaengine (1.1.0+p24.04+vunstable+git20260103.0740-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 07:40:27 +0000
