=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Uploaders: KDE neon <neon@kde.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               doxygen,
                graphviz,
                kf6-extra-cmake-modules,
                pkg-kde-tools-neon,
